ユーザー / プロフィール

予定を作成

POST/users/me/schedules

予定を登録します。イベントに紐づけると、そのイベントのミーティング空き枠から重なる時間が除外されます。

認証要ログイン

リクエストボディ

eventIdstring任意

紐づけるイベント ID。

startAtstring必須

開始日時(ISO 8601)。

endAtstring必須

終了日時(ISO 8601)。startAt より後である必要があります。

descriptionstring任意

説明。本人にのみ表示されます。

レスポンス

フィールド型説明
scheduleSchedule作成された予定。
リクエスト
curl https://api.4s.link/users/me/schedules \
-X POST \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"eventId": "ev1a2b3c-...",
"startAt": "2026-06-01T03:00:00.000Z",
"endAt": "2026-06-01T04:00:00.000Z",
"description": "打ち合わせ"
}'
レスポンス例
{
"schedule": {
"id": "sc1a2b3c-...",
"startAt": "2026-06-01T03:00:00.000Z",
"endAt": "2026-06-01T04:00:00.000Z",
"description": "打ち合わせ"
}
}